List downloadable director logs
List downloadable director logs
ZIP files for tasks in the 'downloaded' stage are available at /api/v0/deployed/director/logs/{task_guid}
Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/director/logs
COPY
Responses
200
OK
{
"tasks": [
{
"guid": "string",
"filepath": "string",
"status": "string",
"timestamp": "string"
}
]
}
array of
tasks
tasks
Optional
tasks
400
Setup is not completed
Returns
RequireSetupCompleted
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
404
BOSH Director has not been deployed, or the credential does not exist
Returns
NestedErrorsResponseVariant
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/director/logs
Logs Operations
GET
Current Apply Change log (live streaming)
GET
List downloadable director logs
POST
Enqueueing log downloads for the director
GET
Download director logs
GET
List downloadable product job logs
POST
Enqueueing log downloads for A given job
GET
Download deployed product job log
GET
Apply Change log
GET
Apply Change log